payments.getStarGiftUpgradePreview
Obtain a preview of the possible attributes (chosen randomly) a gift » can receive after upgrading it to a collectible gift », see here » for more info.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Obtain a preview of the possible attributes (chosen randomly) a gift » can receive after upgrading it to a collectible gift », see here » for more info.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarGiftUpgradePreview" \ -H "Content-Type: application/json" \ -d '{ "params": { "giftId": "string" } }'{ "result": { "_": "payments.starGiftUpgradePreview", "sampleAttributes": [ { "_": "starGiftAttributeModel", "crafted": true, "name": "string", "document": { "_": "documentEmpty", "id": "string" }, "rarity": { "_": "starGiftAttributeRarity", "permille": 0 } } ], "prices": [ { "_": "starGiftUpgradePrice", "date": 0, "upgradeStars": "string" } ], "nextPrices": [ { "_": "starGiftUpgradePrice", "date": 0, "upgradeStars": "string" } ] }}getStarGiftUpgradeAttributes
Obtains the full list of just the collectible attributes that may appear for a gift type once it's upgraded to a [collectible gift »](https://core.telegram.org/api/gifts#collectible-gifts). The result may also include `RawStarGiftAttributeModel` constructors with the crafted flag set: these models are reserved for [crafting »](https://core.telegram.org/api/gifts#crafting-collectible-gifts) and should be filtered out from regular upgrade previews (and vice versa).
getStarGiftWithdrawalUrl
Convert a [collectible gift »](https://core.telegram.org/api/gifts) to an NFT on the TON blockchain.